Approve outgoing domain transfers

Approve an outgoing domain transfer. This is a necessary step after initiating the transfer with the new registrar and requesting an EPP code.

Domains & DNS Domains

Context

Used in the dashboard

/domains/[id]

Where to get IDs / values

Path Parameters

domainId integer · min: 1 required Example: 10000

Unique domain identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.success boolean required · Example: true

True for successful responses.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

503
code string required · Example: SERVICE_UNAVAILABLE

Machine-readable error code.

error string required · Example: Service Unavailable

HTTP status title (e.g. 'Bad Request').

message string required · Example: Failed to approve outgoing transfer. The transfer may have already been completed or ca...

Human-readable message.

requestId string · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/domains/{domainId}/outgoing-transfer
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/domains/10000/outgoing-transfer" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true
  }
}